com.corticon.eclipse.core.util

## Class MatrixModel.MatrixModelRow

- java.lang.Object
- - com.corticon.eclipse.core.util.MatrixModel.MatrixModelRow

- Direct Known Subclasses:
    TableTreeModel.TableTreeModelRow
  Enclosing class:
    MatrixModel

      protected class MatrixModel.MatrixModelRow
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<MatrixCell>` | `iListMatrixCells`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MatrixModel.MatrixModelRow()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MatrixCell` | `getMatrixCell(int aiColumnIndex)`
    `boolean` | `isCellValid(int aiColumnIndex)`
    `boolean` | `isEmpty()`
    `void` | `setCellValid(int aiColumnIndex, boolean abValid)`
    `void` | `setMatrixCell(int aiColumnIndex, MatrixCell aMatrixCell)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iListMatrixCells

          public java.util.ArrayList<MatrixCell> iListMatrixCells

  - ### Constructor Detail

    - #### MatrixModel.MatrixModelRow

          protected MatrixModel.MatrixModelRow()

  - ### Method Detail

    - #### setCellValid

          public void setCellValid(int aiColumnIndex,
                          boolean abValid)

    - #### isEmpty

          public boolean isEmpty()

    - #### isCellValid

          public boolean isCellValid(int aiColumnIndex)

    - #### setMatrixCell

          public void setMatrixCell(int aiColumnIndex,
                           MatrixCell aMatrixCell)

    - #### getMatrixCell

          public MatrixCell getMatrixCell(int aiColumnIndex)

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.